RK-J - Task #3026

Feature # 3023 (Closed): Extension v.92.1: Allow user to hide extension for the page

FE-v.92.1: Allow user to hide extension for the page
05/08/2023 05:37 AM - Ayush Khandelwal

Status: Closed Start date: 05/08/2023
Priority: Urgent Due date: 05/08/2023
Assignee: Rishabh Rai % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, we show the closed extension under some conditions.

In the closed state, under the arrow and at the top of the purple area, add a X button. Clicking on this should stop showing the
extension. If the user reloads this page, it is fine to show. Let the colour of X be bold black.

In the open state, show the X in the rightmost part of the white band (basically to the right of the phrase 'Video Hyperlinker').
As always, do not use cookies of browser storage.

Whenever the user does this, a searchable line should be recorded in the server logs.

Of course, if user goes to other videos/pages, show as per current rules.

Logging Extension API request body structure:

"videoIdData": {
"youtube.com": {
"hideExtensionClickCount": 1,
"videoSupported": true/false

History

#1 - 05/08/2023 06:00 AM - Rishabh Rai
- Status changed from New to In Progress

- % Done changed from 0 to 80

#2 - 05/12/2023 09:51 AM - Ayush Khandelwal

- Subject changed from FE-v.921: Allow user to hide extension for the page to FE-v.92.1: Allow user to hide extension for the page

#3 - 05/16/2023 06:57 AM - Ayush Khandelwal
- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

#4 - 05/16/2023 06:58 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected

03/27/2025 1/1



http://www.tcpdf.org

